/* r8180_export.h: Part of Linux wireless lan driver for RTL8180. */
/*
        Written 2002-2003 by ShuChen.

        This file is distributed according to the terms of
        the GNU General Public License (GPL).

        The original author may be reached as shuchen@realtek.com.tw

		Versions:
		1.0 - first release
		1.1 - second release
		1.2 - 2003-06-10
*/

#ifndef _INCLUDE_RTL8180_EXPORT_H_
#define _INCLUDE_RTL8180_EXPORT_H_

int __rtl8180_alloc_mem( struct net_device *dev );
void __rtl8180_free_mem( struct net_device *dev );


int __rtl8180_sw_init( struct net_device *dev );
void __rtl8180_sw_remove( struct net_device *dev );

void __rtl8180_enable(struct net_device *dev);
void __rtl8180_disable(struct net_device *dev);

void __rtl8180_init_apmode_config( struct net_device *dev );

void __rtl8180_init_default_config( struct net_device *dev );

int __rtl8180_hw_init( struct net_device *dev );
int __rtl8180_hw_remove( struct net_device *dev );


int __rtl8180_open(struct net_device *dev);
int __rtl8180_close(struct net_device *dev);
int __rtl8180_xmit(struct sk_buff *skb, struct net_device *dev);
struct net_device_stats *__rtl8180_get_stats(struct net_device *dev);
int __rtl8180_ioctl(struct net_device *dev, struct ifreq *ifr, int cmd);
void __rtl8180_set_multicast_list(struct net_device *dev);
void __rtl8180_interrupt(int irq, void *dev_id, struct pt_regs *regs);

//In p8180_proc.c
void __rtl8180_init_proc(struct net_device *dev);
void __rtl8180_remove_proc(struct net_device *dev);


#endif //end #ifndef _INCLUDE_RTL8180_EXPORT_H_
